PROJNAME=client
APPNAME=${PROJNAME}

#Descomente as duas linhas abaixo para o uso em Valgrind.
#DBG=YES
#CPPFLAGS= -fno-inline

OPENBUSINC = ${OPENBUS_HOME}/incpath
OPENBUSLIB = ${OPENBUS_HOME}/libpath/${TEC_UNAME}

EXTRA_CONFIG=config

ifeq "$(TEC_SYSNAME)" "SunOS"
  USE_CC=Yes
  CPPFLAGS= -g +p -KPIC -xarch=v8 -mt -D_REENTRANT
  LFLAGS= $(CPPFLAGS) #-xildoff -R ${IT_PRODUCT_DIR}/shlib:${IT_PRODUCT_DIR}/shlib/default
endif

TARGETROOT=bin
OBJROOT=obj

INCLUDES= . ${ORBIXINC} ${OPENBUSINC}/scs/orbix
LDIR= ${ORBIXLDIR} ${OPENBUSLIB}

LIBS= it_poa it_art it_ifc scsorbix 

#SLIB= ${OPENBUS_HOME}/core/utilities/orbix/lib/${TEC_UNAME}/libopenbus.a \
#      ${OPENBUSLIB}/libscsorbix.a

SRC= client.cpp \
     stubs/helloC.cxx

